version: "3.7"
services:

  go_backend:
    build:
      context: ..
      dockerfile: ./docker/Dockerfile_go_backend
    env_file:
      - budget.env
    restart: always
    depends_on:
      - postgresql_db
    ports:
      - "8888:8888"
    networks:
      - pg_network
  
  postgresql_db:
    # If you change the postgres version here, please also change the dpage/pgadmin4 version in ./docker/Dockerfile_pgadmin4 to a compatible version
    image: postgres:12
    env_file:
      - budget.env
    restart: always
    ports:
      - "5555:5432"
    networks:
      - pg_network
    volumes:
      - db-vol:/var/lib/postgresql/data

  pgadmin4:
    build:
      context: ..
      dockerfile: ./docker/Dockerfile_pgadmin4
    env_file:
      - budget.env
    restart: always
    depends_on:
      - postgresql_db
    ports:
      - "7777:80"
    networks:
      - pg_network
    volumes:
      - pgadmin-vol:/var/lib/pgadmin

networks:
  pg_network:
    driver: bridge

volumes:
  db-vol:
  pgadmin-vol:
